
Foreman - Feature #4422

Implement available_images for oVirt to populate new image form

02/24/2014 01:24 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Compute resources   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As part of #4015, we should have implemented available_images on the oVirt compute resource class to populate the list of images

(templates in oVirt) available on the CR.  At the moment you have to pull the UUID of the list of templates I think on the new host

form, very unfriendly.

Related issues:

Related to Foreman - Bug #4015: Cannot provisiong oVirt/RHEV VM from template... Closed 01/14/2014

Associated revisions

Revision d6026572 - 04/25/2014 09:33 AM - Amos Benari

fixes #4422 Implement available_images for oVirt to populate new image form

Revision 59818264 - 04/28/2014 11:51 AM - Amos Benari

fixes #4422 Implement available_images for oVirt to populate new image form

(cherry picked from commit d6026572d8dd39e32a9d7889d7f02d71bd934dc9)

History

#1 - 02/24/2014 01:24 PM - Dominic Cleal

- Related to Bug #4015: Cannot provisiong oVirt/RHEV VM from template with finish script added

#2 - 04/18/2014 03:06 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1370

#3 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#4 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#5 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#6 - 04/25/2014 10:31 AM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://projects.theforeman.org/issues/4015
https://github.com/theforeman/foreman/pull/1370


Applied in changeset d6026572d8dd39e32a9d7889d7f02d71bd934dc9.
